package com.lukouguoji.gjc.holder

import android.view.View
import com.lukouguoji.gjc.databinding.ItemGjcAssembleWeightEditBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GjcWarehouse

/**
 * 国际出港-修改组装重量列表 ViewHolder
 */
class GjcAssembleWeightEditViewHolder(view: View) :
    BaseViewHolder<GjcWarehouse, ItemGjcAssembleWeightEditBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val warehouse = getItemBean(item) ?: return

        binding.bean = warehouse
        binding.position = position
        binding.executePendingBindings()
    }
}
